// Animation parameter:  Final_Frame=862   


light_source {0*x color rgb <1,1,1>*1.2 translate <-20, 40, -120>}
light_source {<100,200,100> colour rgb 1.1}

background {rgb 0.6}  
//plane {y,0 pigment {rgb 1}}  
plane {y, 0 texture  {pigment {checker color rgb 1 color rgb 0 scale 10}
    finish{diffuse 0.8 ambient 0.1} }}

#declare source_file = "stickythings.txt" 
#declare end_line = frame_number;  
//#declare end_line = 850;
#fopen IN source_file read   
#declare N=-1;
#while (N<end_line)
  #read(IN,Hipx,Hipy,Hipz,HipZ,HipX,HipY)    
  #read(IN,LulZ,LulX,LulY,LllZ,LllX,LllY,LfZ,LfX,LfY)      
  #read(IN,RulZ,RulX,RulY,RllZ,RllX,RllY,RfZ,RfX,RfY)
  #read(IN,CheZ,CheX,CheY) 
  #read(IN,LcZ,LcX,LcY,LuaZ,LuaX,LuaY,LlaZ,LlaX,LlaY,LhZ,LhX,LhY)   
  #read(IN,RcZ,RcX,RcY,RuaZ,RuaX,RuaY,RlaZ,RlaX,RlaY,RhZ,RhX,RhY)
  #read(IN,NecZ,NecX,NecY,HeaZ,HeaX,HeaY)
  #declare N=N+1;
#end

#debug concat("frame:",str(end_line,0,0),"\n")
#debug concat("hiploc:",str(Hipx,0,-1)," ",str(Hipy,0,-1)," ",str(Hipz,0,-1),"\n")   
#debug concat("luarot:",str(LuaX,0,-1)," ",str(LuaY,0,-1)," ",str(LuaZ,0,-1),"\n")
// Simple animatable body shape
#declare LeftFoot = union { 
  sphere {0,1 scale 1.0}  
  sphere {<0.008,-2.933,1.685>,1 scale 0.8}
  cylinder{0,<0.008,-2.933,1.685>,0.25}   
  cylinder{<0.008,-2.933,1.685>,<0.008,-2.933,-4>,0.3}  
}  
#declare LeftLowLeg = union {  
  sphere {0,1 scale 1.0}  
  sphere {<0,-16.55,0>,0.8}
  cylinder{0,<0,-16.55,0>,0.25}
  object {LeftFoot rotate <0,-LfY,0> rotate <-LfX,0,0> rotate <0,0,LfZ> translate <0,-16.55,0> }    
}  
#declare LeftUpLeg = union {
  sphere {0,1 scale 1.0}  
  sphere {<0,-16.57,0>,0.8} 
  cylinder{0,<0,-16.57,0>,0.25}
  object {LeftLowLeg rotate <0,-LllY,0> rotate <-LllX,0,0> rotate <0,0,LllZ> translate <0,-16.57,0>}    
}  
#declare RightFoot = union {  
  sphere {0,1 scale 1.0}    
  sphere {<-0.008,-2.93,1.68>,0.8}  
  cylinder{0,<-0.008,-2.93,1.68>,0.25}
  cylinder{<-0.008,-2.93,1.68>,<-0.008,-2.93,-4>,0.3} 
}  
#declare RightLowLeg = union {    
  sphere {0,1 scale 1.0} 
  sphere {<0,-16.69,0>,0.8}   
  cylinder{0,<0,-16.69,0>,0.25}
  object {RightFoot rotate <0,-RfY,0> rotate <-RfX,0,0> rotate <0,0,RfZ>  translate <0,-16.69,0>}    
}  
#declare RightUpLeg = union {   
  sphere {0,1 scale 1.0}  
  sphere {<0,-16.51,0>,0.8} 
  cylinder{0,<0,-16.51,0>,0.25}
  object {RightLowLeg rotate <0,-RllY,0> rotate <-RllX,0,0> rotate <0,0,RllZ> translate <0,-16.51,0>}   
}  
#declare LeftHand = union {  
  sphere {0,1 scale 1.0}     
  sphere {<0,-7.0,0>,0.8}   
  cylinder{0,<0,-7.0,0>,0.25}
}
#declare LeftLowArm = union { 
  sphere {0,1 scale 1.0}     
  sphere {<0,-9.14,0>,0.8}  
  cylinder{0,<0,-9.14,0>,0.25}
  object {LeftHand rotate <0,-LhY,0> rotate <-LhX,0,0> rotate <0,0,LhZ> translate <0,-9.14,0>}   
}    
#declare LeftUpArm = union {  
  sphere {0,1 scale 1.0}  
  sphere {<0,-11.77,0>,0.8}  
  cylinder{0,<0,-11.77,0>,0.25}
  object {LeftLowArm rotate <0,-LlaY,0> rotate <-LlaX,0,0> rotate <0,0,LlaZ> translate <0,-11.77,0>} 
}  
#declare LeftCollar = union { 
  sphere {0,1 scale 1.0}    
  sphere {<4.75,0,0>,0.8}
  cylinder{0,<4.75,0,0>,0.25}
  object {LeftUpArm rotate <0,-LuaY,0>  rotate <-LuaX,0,0> rotate <0,0,LuaZ> translate <4.75,0,0>}   
}  
#declare RightHand = union{  
  sphere {0,1 scale 1.0} 
  sphere {<0,-7.0,0>,0.8}   
  cylinder{0,<0,-7.0,0>,0.25}
}  
#declare RightLowArm = union {   
  sphere {0,1 scale 1.0} 
  sphere {<0,-9.11,0>,0.8 } 
  cylinder{0,<0,-9.11,0>,0.25}
  object {RightHand rotate <0,-RhY,0> rotate <-RhX,0,0> rotate <0,0,RhZ>  translate <0,-9.11,0>}
}  
#declare RightUpArm = union { 
  sphere {0,1 scale 1.0}   
  sphere {<0,-12.33,0>,0.8}  
  cylinder{0,<0,-12.33,0>,0.25}
  object {RightLowArm rotate <0,-RlaY,0>  rotate <-RlaX,0,0> rotate <0,0,RlaZ> translate <0,-12.33,0>}  
}  
#declare RightCollar = union {
  sphere {0,1 scale 1.0}    
  sphere {<-5.22,0,0>,0.8} 
  cylinder{0,<-5.22,0,0>,0.25}
  object {RightUpArm rotate <0,-RuaY,0> rotate <-RuaX,0,0> rotate <0,0,RuaZ> translate <-5.22,0,0>} 
}  
#declare Head = union {  
   sphere {0,1 scale 1.0} 
   sphere {<0,3.71,0>,0.8}
   cylinder{0,<0,3.71,0>,0.25} 
  }
#declare Neck = union {   
  sphere {0,1 scale 1.0} 
  sphere {<0,4.58,0>,0.8}   
  cylinder{0,<0,4.58,0>,0.25}
  object {Head rotate <0,-HeaY,0> rotate <-HeaX,0,0> rotate <0,0,HeaZ> translate <0,4.58,0>}
}
#declare Chest = union { 
  sphere {0,1 scale 1.0} 
  sphere {<0,16.35,0>,0.8}  
  cylinder{0,<0,16.35,0>,0.25}
  object {Neck rotate <0,-NecY,0> rotate <-NecX,0,0> rotate <0,0,NecZ> translate <0,16.35,0>}      
  cylinder{0, <0.98,14.23,-1.64>,0.25}   
  object {LeftCollar rotate <0,-LcY,0> rotate <-LcX,0,0> rotate <0,0,LcZ> translate <0.98,14.23,-1.64>} 
  cylinder{0, <-0.98,14.23,-1.64>,0.25}  
  object {RightCollar rotate <0,-RcY,0> rotate <-RcX,0,0> rotate <0,0,RcZ> translate <-0.98,14.23,-1.64>}   
}
#declare Body = union {
   sphere {0,1 scale 1.0}  
   cylinder{0,<0,4.38,0>,0.25}
   object {Chest rotate <0,-CheY,0> rotate <-CheX,0,0> rotate <0,0,CheZ> translate <0,4.38,0>}     
   cylinder{0,<3.29,0.0,0.0>,0.25}
   object {LeftUpLeg rotate <0,-LulY,0> rotate <-LulX,0,0> rotate <0,0,LulZ> translate <3.29,0.0,0.0>} 
   cylinder{0,<-3.29,0.0,0.0>,0.25}    
   object {RightUpLeg rotate <0,-RulY,0> rotate <-RulX,0,0> rotate <0,0,RulZ> translate <-3.29,0.0,0.0>}  
   rotate <0,-HipY,0> rotate <-HipX,0,0> rotate <0,0,HipZ> translate <Hipx,Hipy,-Hipz>   
  
}
object {Body pigment {rgb 1} }    
//camera { location  <50,20,-170> look_at <Hipx,Hipy,-Hipz>}      
camera { location  <Hipx,Hipy,-Hipz>+<-20,-25,-80> look_at <Hipx,Hipy,-Hipz>}    
    